aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGravatar Robin Obůrka <r.oburka@gmail.com> 2017-04-03 11:32:06 +0200
committerGravatar Robin Obůrka <r.oburka@gmail.com> 2017-04-03 16:10:42 +0200
commit49aeecc97678e64c8c05f8f4dd7a3c55173386e8 (patch)
tree01eaeb7112ac7653f40b7d7137ec83aa841983aa
parentAdd support for -i definition trough interface (diff)
downloadbackuper-49aeecc97678e64c8c05f8f4dd7a3c55173386e8.tar.xz
Add interface for GPG recipients too
-rw-r--r--backuper.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/backuper.sh b/backuper.sh
index 6b297ee..ce66ba0 100644
--- a/backuper.sh
+++ b/backuper.sh
@@ -88,6 +88,13 @@ compute_gpg_recipients() {
done
}
+add_gpg_recipient() {
+ PARAM="$1"
+ if ! echo "$GPG_RECIPIENTS" | grep -q -- "$PARAM" ; then
+ GPG_RECIPIENTS="$GPG_RECIPIENTS $PARAM"
+ fi
+}
+
## Program control
error() {
if [ -n "$1" ]; then